CuraeAI Developers
API referencePlatform Webhooks

Retrieve a Platform webhook endpoint

Retrieves a webhook endpoint owned by the API key's customer account.

GET/api/platform/v1/webhook-endpoints/{id}

Retrieves a webhook endpoint owned by the API key's customer account.

Authorization

platformApiKey
AuthorizationBearer <token>

CuraeAI Platform API key using the format Bearer . Keys are opaque credentials such as cae_live_..., not JWTs.

In: header

Path Parameters

id*string

Webhook endpoint identifier.

Header Parameters

If-None-Match?string

Optional weak or strong entity tag. Matching validators return 304 Not Modified.

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/api/platform/v1/webhook-endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "resourceType": "WebhookEndpoint",  "url": "http://example.com",  "eventTypes": [    "patient.created"  ],  "status": "ACTIVE",  "consecutiveFailures": 0,  "lastDeliveryAttemptAt": "2019-08-24T14:15:22Z",  "lastSuccessfulDeliveryAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "_version": "string",  "_links": {    "self": {      "href": "string"    }  }}
Empty
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "code": "string",  "details": {},  "retryable": true}